Subject: Re: bug#73831: dvilualatex binary nowhere to be found

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 16 Oct 2024 20:05:49 +0200

Hello,

Justin Veilleux via Bug reports for GNU Guix <[email-masked]> writes:

> Hello. I noticed that the dvilualatex binary isn't in the big texlive
> package. Is it contained in some other latex package not present in
> texlive? I grepped the guix source code and found a mention of
> dvilualatex in the `#:create-formats` arguments of the
> `texlive-latex-bin`, so I suppose it must be somewhere. Am I missing
> something?

No, it's an omission in both the modular and the monolitic texlive
package. "dvilualatex" executable should be a symlink to "luatex", but
that symlink is not created in `texlive-latex-bin'.

I'll create it in the next tex-team branch update. Meanwhile, you can
force dvilualatex format with "luatex &dvilualatex".

Regards,
-- 
Nicolas Goaziou